# Function UseOptionsRemoteMethod

- UseOptionsRemoteMethod(dataSource): ((target, propertyKey) => void)

- #### Parameters

  - dataSource: Constructor<BaseRemoteMethod<ControlOptions, any, BaseRemoteMethodMetadata>>

  #### Returns ((target, propertyKey) => void)

  - - (target, propertyKey): void

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:51